<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Name: GEBB Service Delivery Location
Description: Locatie waar de zorg wordt/werd verricht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000">
   <title>GEBB Service Delivery Location</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]
Item: (gebb-ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]
Item: (gebb-ServiceDeliveryLocation)
-->

   <rule context="*[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]"
         id="tmp-r-db88d7b4-e6a6-4e0c-b003-ba55733dd673">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="string(@classCode)='SDLOC'">(gebb-ServiceDeliveryLocation): de waarde van @classCode MOET 'SDLOC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']/@nullFlavor)">(gebb-ServiceDeliveryLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2'])&lt;=1">(gebb-ServiceDeliveryLocation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="count(hl7:code)&lt;=1">(gebb-ServiceDeliveryLocation): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="count(hl7:playingEntity)&lt;=1">(gebb-ServiceDeliveryLocation): element hl7:playingEntity komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']
Item: (gebb-ServiceDeliveryLocation)
-->

   <rule context="*[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']"
         id="tmp-r-7f46d778-bbc2-4aa4-b829-f50c18fae77a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-ServiceDeliveryLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.2.10.2'">(gebb-ServiceDeliveryLocation): de waarde van @root MOET '2.16.840.1.113883.2.4.3.11.60.2.10.2' zijn.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:id
Item: (gebb-ServiceDeliveryLocation)
-->

   <rule context="*[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:id"
         id="tmp-r-d7ee511d-92df-477b-a787-ee9ccde50bd1">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-ServiceDeliveryLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:code
Item: (gebb-ServiceDeliveryLocation)
-->

   <rule context="*[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:code"
         id="tmp-r-bfaf4051-e15e-4995-9eec-47af1b3008d0">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(gebb-ServiceDeliveryLocation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:addr
Item: (gebb-ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:telecom
Item: (gebb-ServiceDeliveryLocation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:playingEntity
Item: (gebb-ServiceDeliveryLocation)
-->

   <rule context="*[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:playingEntity"
         id="tmp-r-a09066b8-db03-456e-85c7-23bd4daf65b2">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="string(@classCode)='PLC'">(gebb-ServiceDeliveryLocation): de waarde van @classCode MOET 'PLC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.2.10.2-2013-12-31T000000.html"
              test="count(hl7:name)&lt;=1">(gebb-ServiceDeliveryLocation): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.2.10.2
Context: *[hl7:participantRole[hl7:templateId/@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:participantRole[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.2.10.2']]/hl7:playingEntity/hl7:name
Item: (gebb-ServiceDeliveryLocation)
-->
</pattern>
