<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Name: VZVZ Opleveren Medicatievoorschriften
Description: Opleveren Medicatievoorschriften: Deze interactie wordt door bronsystemen gebruikt om medicatievoorschriften op te leveren naar aanleiding van een bevraging door het LSP. 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000">
   <title>VZVZ Opleveren Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/" id="tmp-r-fcdfdcee-e118-4c88-9d82-e2d81aade6b5">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990103NL02)&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:QURX_IN990103NL02 is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:QURX_IN990103NL02)&lt;=1">(opleverenVoorschriftenLijst): element hl7:QURX_IN990103NL02 komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02"
         id="tmp-r-0ac7de91-00c8-4347-bdb4-5e21e9e0beab">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess)&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:ControlActProcess is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess"
         id="tmp-r-fd7fefa7-5170-410c-8c55-c00eb3257b28">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)='EVN'">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]])&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]"
         id="tmp-r-7ddc4891-c6ba-469e-96ae-7df9dfad9b80">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']])&gt;=1 ">(opleverenVoorschriftenLijst): element hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']] is required [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]"
         id="tmp-r-05a2a731-698c-4f7c-bea7-c663817f3cff">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)='LIST' or not(@classCode)">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'LIST' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(opleverenVoorschriftenLijst): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'])&lt;=1">(opleverenVoorschriftenLijst): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&gt;=1 and not(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')])&lt;=1">(opleverenVoorschriftenLijst): element hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&gt;=1 and not(hl7:recordTarget/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:recordTarget is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:recordTarget)&lt;=1">(opleverenVoorschriftenLijst): element hl7:recordTarget komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']"
         id="tmp-r-3b93d218-d2ac-4de8-bff5-a2d9954d6b8a">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.11.60.66.10.12'">(opleverenVoorschriftenLijst): @root MOET de waarde '2.16.840.1.113883.2.4.3.11.60.66.10.12' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:code[(@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')]"
         id="tmp-r-f6ad2f34-887c-441d-b5e0-02e554e83662">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="@nullFlavor or (@code='MEDLIST' and @codeSystem='2.16.840.1.113883.5.4')">(opleverenVoorschriftenLijst): de elementwaarde MOET zijn code 'MEDLIST' codeSystem '2.16.840.1.113883.5.4'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget"
         id="tmp-r-b2966f16-13ee-4dbd-8af7-682d1a76661c">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)='RCT'">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'RCT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@contextControlCode)='OP'">(opleverenVoorschriftenLijst): de waarde van @contextControlCode MOET 'OP' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&gt;=1 and not(hl7:patient/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:patient is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:patient)&lt;=1">(opleverenVoorschriftenLijst): element hl7:patient komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget/hl7:patient
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget/hl7:patient"
         id="tmp-r-560faab8-482b-4c8b-9e94-30e501ef7855">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@classCode)='PAT'">(opleverenVoorschriftenLijst): de waarde van @classCode MOET 'PAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.2.4.6.3']/@nullFlavor)">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(opleverenVoorschriftenLijst): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (opleverenVoorschriftenLijst)
-->

   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:recordTarget/hl7:patient/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-69c80521-5d17-415f-a7ee-c06ec039420d">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opleverenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(opleverenVoorschriftenLijst): @root MOET de waarde '2.16.840.1.113883.2.4.6.3' hebben.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.11.60.66.10.12
Context: /hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]]
Item: (opleverenVoorschriftenLijst)
-->
   <rule context="/hl7:QURX_IN990103NL02/hl7:ControlActProcess/hl7:subject[hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]]/hl7:MedicationPrescriptionList[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.12']]/hl7:component[hl7:substanceAdministration[hl7:templateId[@root='2.16.840.1.113883.2.4.3.11.60.66.10.204']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/ketenzorg/kz-html-20140818T164044/tmp-2.16.840.1.113883.2.4.3.11.60.66.10.12-2014-01-13T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(opleverenVoorschriftenLijst): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
